import pymysql


# 建立数据库连接
def connect_To_database():
    try:
        conn = pymysql.connect(
            host='localhost',
            user='root',
            password='123123',
            db='ec',
            charset='utf8'
        )
        return conn
    except pymysql.Error as e:
        print('连接失败！', e)


def insert_data(conn, insert_query, list_code):
    # 创建游标
    cursor = conn.cursor()
    # 创建表
    new_tree_code = '''
        create table if not exists fractal(
            id int AUTO_INCREMENT primary key,
            name TEXT,
            fractal_e TEXT,
            params_initial TEXT,
            str_params TEXT,
            pattern TEXT,
            tree TEXT,
            update_tree TEXT)
        '''
    cursor.execute(new_tree_code)

    # 执行插入语句
    cursor.execute(insert_query, list_code)

    conn.commit()
    # 关闭数据库
    conn.close()
    # 关闭游标
    cursor.close()

